#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

int main(void) {
    char s[300];
    int file_len = read(0, s, 400);

    if(strncmp(s, "haha", 4)) {
        puts("header error");
        exit(0);
    }

    int len = *(unsigned int*)(&s[4]);

    if(file_len != len + 16) {
        puts("len error");
        exit(0);
    }
    
    unsigned int sum=0xdeadbeaf;
    for(int i=0; i<len; i++) {
        sum = (sum ^ (unsigned char)s[8 + i]) * 1664525 + 1013904223;
    }

    printf("%x\n", sum);

    if(strncmp(s + 8 + len, "done", 4)) {
        puts("header error");
        exit(0);
    }

    if(*(unsigned int*)(&s[12 + len]) != sum) {
        puts("checksum error");
        exit(0);
    }

    puts("accepted");

    return 0;
}